# Class BinarySearch

java.lang.Object
org.apache.datasketches.tdigest.BinarySearch

public final class BinarySearch extends Object
Algorithms with logarithmic complexity for searching in an array.

## Constructor Summary

Constructors
Constructor
Description
`BinarySearch()`
No argument constructor.

## Method Summary

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BinarySearch

public BinarySearch()
No argument constructor.